Class | Ohcount::Gestalt::LanguageRule
In: | lib/gestalt/rules/language_rule.rb
Parent: | Rule

states that a platform depends on a programming language being at least :min_percent

### Methods

new triggered?

### Attributes

language | [R] |
min_percent | [R] |

### Public Class methods

new(language, options= {})

[Source]

    # File lib/gestalt/rules/language_rule.rb, line 10
                            def initialize(language, options= {})
                                    @min_percent = options.delete(:min_percent) || 0
                                    raise "Unrecognized LanguageRule options '#{ options.keys.inspect }'" if options.any?
                                    @language = language
                            end

### Public Instance methods

triggered?(g)

[Source]

    # File lib/gestalt/rules/language_rule.rb, line 16
                            def triggered?(g)
                                    return self if g.includes_language?(language, min_percent)
                            end

[Validate]